Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.meta.strats
Class NumberVersionStrategy

    java.lang.Object
      org.apache.openjpa.jdbc.meta.strats.AbstractStrategy
          org.apache.openjpa.jdbc.meta.strats.AbstractVersionStrategy
              org.apache.openjpa.jdbc.meta.strats.ColumnVersionStrategy
                  org.apache.openjpa.jdbc.meta.strats.NumberVersionStrategy

All Implemented Interfaces:
  Strategy, VersionStrategy

    public class NumberVersionStrategy

extends ColumnVersionStrategy

Uses a version number for optimistic versioning.

Author:
  Abe White

Field Summary
`static String` | `ALIAS`

Fields inherited from class org.apache.openjpa.jdbc.meta.strats.AbstractVersionStrategy
`vers`

Constructor Summary
`NumberVersionStrategy()`

Method Summary
`String` | `getAlias()` Return the alias of this strategy.
`int` | `getInitialValue()` Return the initial value for version column.
`protected int` | `getJavaType()` Return the code from `JavaTypes` for the version values this strategy uses.
`protected Object` | `nextVersion(Object version)` Return the next version given the current one, which may be null.
`void` | `setInitialValue(int initial)` Set the initial value for version column.

Methods inherited from class org.apache.openjpa.jdbc.meta.strats.ColumnVersionStrategy
`checkVersion, compare, compareVersion, delete, insert, load, map, select, update`

Methods inherited from class org.apache.openjpa.jdbc.meta.strats.AbstractVersionStrategy
`afterLoad, setVersion`

Methods inherited from class org.apache.openjpa.jdbc.meta.strats.AbstractStrategy
`customDelete, customInsert, customUpdate, initialize, isCustomDelete, isCustomInsert, isCustomUpdate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.openjpa.jdbc.meta.Strategy
`customDelete, customInsert, customUpdate, initialize, isCustomDelete, isCustomInsert, isCustomUpdate`

Field Detail

### ALIAS

    public static final String ALIAS

See Also:
  Constant Field Values

Constructor Detail

### NumberVersionStrategy

    public NumberVersionStrategy()

Method Detail

### setInitialValue

    public void setInitialValue(int initial)

  Set the initial value for version column. Defaults to 1.

### getInitialValue

    public int getInitialValue()

  Return the initial value for version column. Defaults to 1.

### getAlias

    public String getAlias()

  Description copied from interface: `Strategy`
  Return the alias of this strategy. For custom strategies, return the full class name.

  Specified by:
    `getAlias` in interface `Strategy`
  Overrides:
    `getAlias` in class `AbstractStrategy`

### getJavaType

    protected int getJavaType()

  Description copied from class: `ColumnVersionStrategy`
  Return the code from `JavaTypes` for the version values this strategy uses. This method is only used during mapping installation.

  Specified by:
    `getJavaType` in class `ColumnVersionStrategy`

### nextVersion

    protected Object nextVersion(Object version)

  Description copied from class: `ColumnVersionStrategy`
  Return the next version given the current one, which may be null.

  Specified by:
    `nextVersion` in class `ColumnVersionStrategy`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache Software Foundation. All Rights Reserved.